Platforms

Syndicate content 8 

Starting with 2017.1, InterSystems is adding Ubuntu (64-bit) as a third linux server platform. Prior to 2017.1 Ubuntu was already available as a development platform and customers could use InterSystems distributions build for SUSE to run on Ubuntu. As a result there are a few license key implications for 64-bit linux versions starting with Caché and Ensemble 2017.1:

a) Customers using RedHat will observe no changes

b) Customers using InterSystems products(1) for SUSE on SUSE will need new license keys (no charge)

c) Customers using InterSystems products(1) for SUSE on Ubuntu will need new license keys (free of charge for 12 month(2))

(1) Caché, Ensemble, HealthShare, and TrakCare

(2) Starting with the Release of 2017.1

+ 9   0 9
817

views

+ 9

rating

InterSystems is currently verifying InterSystems IRIS 2019.1 with Windows Server 2019. This work is scheduled to complete by the end of January  2019. In the second half of this month InterSystems will add Caché/Ensemble 2018.1.2 to be verified on this platform.

As we get closer to the completion of those tasks, I will update this post with information on release dates, and which products and version will support Windows Server 2019.

Last comment 27 February 2019
+ 7   1 5
348

views

+ 7

rating

The Amazon Web Services (AWS) Cloud provides a broad set of infrastructure services, such as compute resources, storage options, and networking that are delivered as a utility: on-demand, available in seconds, with pay-as-you-go pricing. New services can be provisioned quickly, without upfront capital expense. This allows enterprises, start-ups, small and medium-sized businesses, and customers in the public sector to access the building blocks they need to respond quickly to changing business requirements.

Last comment 13 February 2019
+ 11   1 3
326

views

+ 11

rating

InterSystems has completed the verification process for OpenJDK 8.

Customers now have the option to either use the Oracle JDK, or the OpenJDK with all InterSystems products and versions that support Java 8.
 
Support for future versions will continue to be supported on both of these Java Development Kits.

Last comment 4 February 2019
+ 7   2 2
193

views

+ 7

rating

Google Cloud Platform (GCP) provides a feature rich environment for Infrastructure-as-a-Service (IaaS) as a cloud offering fully capable of supporting all of InterSystems products including the latest InterSystems IRIS Data Platform. Care must be taken, as with any platform or deployment model, to ensure all aspects of an environment are considered such as performance, availability, operations, and management procedures.  Specifics of each of those areas will be covered in this article.

+ 5   3 2
0

comments

440

views

+ 5

rating

Starting with 2017.1, InterSystems has moved macOS from being a server platform to a development platform. 2017.1 will only support macOS 10.12 and will no longer be available as dmg kits.

Verification of macOS 10.12 has not been completed at this time and Field Test kits for this platform are not yet available.

Last comment 7 November 2016
0   0 2
225

views

0

rating

What are the best steps for troubleshooting printing to a Windows printer from Cache.  The printer has been configured in the Windows Printer Manager and has been able to print a test page (from the windows print manager).

The device has been configured in Cache -> Sys Admin -> Config -> Device Settings -> Devices with properly formatted |PRN|printer device name and "W" for open parameters and 101 for Alias.

From a command prompt, O 101 U 101 write something U 0 C 101 doesnt output anything to the printer, but does create a document in the Windows print spooler.

 

What steps should one take to troubleshoot this problem.

Last answer 16 February 2018
0   0 7
275

views

0

rating

This post provides useful links and an overview of best practice configuration for low latency storage IO by creating LVM Physical Extent (PE) stripes for database disks on InterSystems Data Platforms; InterSystems IRIS, Caché, and Ensemble.

Consistent low latency storage is key to getting the best database application performance. For applications running on Linux, Logical Volume Manager (LVM) is often used for database disks, for example because of the ability to grow volumes and filesystems or create snapshots for online backups. For database applications the parallelism of writes using LVM PE striped logical volumes can also help increase performance for large sequential reads and writes by improving the efficiency of the data I/O

Last comment 25 May 2018
+ 5   1 4
735

views

+ 5

rating

As previously announced, 2017.1 on VSI OpenVMS 8.4-1H1 is the final major version of Caché and Ensemble.  2017.1 will not be available for VSI OpenVMS versions beyond 8.4-1H1.

Maintenance releases of 2017.1 on VSI OpenVMS may be announced but only to deliver critical corrections.  2017.1 on VSI OpenVMS will be the Minimum Supported Version from July 1, 2019 through December 31, 2020.  After December 31, 2020, no further maintenance releases will be made available.

0   0 1
0

comments

285

views

0

rating

InterSystems has performed various system and application benchmarks to determine the potential performance impact after the corrections for Meltdown have been applied.

Overall our tests have shown at worst a performance degradation of less than 2% and in some cases slightly better performance, but within the margin of error of testing. All tests confirm that the specific performance impact to a deployed application is directly related to how this application is using system resources. Specifically, this means that in certain cases (e.g. a query)  a larger performance impact is possible.

While InterSystems has no evidence of significant performance degradations for customer applications, we strongly recommend that customers perform their own performance evaluation.

InterSystems continues to work with our OS, hypervisor, and processor partners on performance testing and further upgrades will be provided if/when necessary

+ 7   0 3
0

comments

536

views

+ 7

rating

Project related quality assurance efforts have revealed a number of concerns for the current release of 2017.1.0 and 2017.1.1 on all OpenVMS platforms. In certain situations, the impact can be severe. InterSystems will address these issues with the upcoming 2017.1.2 release, and in the meantime, will remove all 2017.1.x kits for OpenVMS from our Download Servers.
 
If you have immediate needs correcting existing deployments of this version, please contact the InterSystems WRC (support@intersystems.com).
 
+ 3   0 2
0

comments

372

views

+ 3

rating

Post has been edited for clarification: Both HP Open VMS versions (for Itanium and for Alpha)  are discontinued for future InterSystems releases.
 
Future product releases, beginning with the next major release after 2017.1, will no longer be offered for the following platforms:
 
HP OpenVMS  for Itanium
HP OpenVMS  for Alpha
 
Products: Caché, Ensemble
 
Expected Availability: next major release after 2017.1
Last comment 10 March 2017
+ 3   0 3
684

views

+ 3

rating

Beginning with the next release after 2017.1, InterSystems products will no longer be offered on macOS (OS X) as a Server platform. This platform has been re-classified and will be available as a Development platform in future releases.

Products: Caché, Ensemble
 
Expected Availability: next major release after 2017.1
+ 2   0 1
0

comments

264

views

+ 2

rating

I am pleased to announce the next 2016.2 field test kit, 2016.2.0.605.0.

There are about a hundred changes from the previous field test kit, including the following fixes to problems found by those using the kits in the field:

  • DLP3516, which fixes a problem in the Demo.Document.Data.Loader class
  • RJW2416, which fixes a problem with the telnet client disconnecting on Windows

One additional change of note: in this kit we have changed the on-disk format for DOCUMENT data.  If you want to preserve your data from an older instance and make it available in this version you should export the data from that older instance and import it into the new.  This is the method that you should always be using during the field test because, as you know, we do not support upgrades from one field test kit to another

0   0 2
0

comments

125

views

0

rating